#ifndef GROUNDTRUTHWAY_H
#define GROUNDTRUTHWAY_H

#include <Indoor/math/Interpolator.h>
#include <Indoor/geo/Point3.h>

/**
 * interpolated ground-trouth based on timed check-points
 */
class GroundTruthWay : public Interpolator<uint64_t, Point3> {

public:

	Point3 getPosAtTime(const uint64_t ts) const {
		return get(ts);
	}

	/** get the ground truth way */
	const std::vector<InterpolatorEntry>& getWay() const {return entries;}

};


#endif // GROUNDTRUTHWAY_H
